gvisor.dev/gvisor@v0.0.0-20240520182842-f9d4d51c7e0f/runsc/version_test.sh (about)

     1  #!/bin/bash
     2  
     3  # Copyright 2023 The gVisor Authors.
     4  #
     5  # Licensed under the Apache License, Version 2.0 (the "License");
     6  # you may not use this file except in compliance with the License.
     7  # You may obtain a copy of the License at
     8  #
     9  #     http://www.apache.org/licenses/LICENSE-2.0
    10  #
    11  # Unless required by applicable law or agreed to in writing, software
    12  # distributed under the License is distributed on an "AS IS" BASIS,
    13  # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14  # See the License for the specific language governing permissions and
    15  # limitations under the License.
    16  
    17  set -euf -x -o pipefail
    18  
    19  readonly runsc="$1"
    20  readonly version=$($runsc --version)
    21  
    22  # Version should not match VERSION, which is the default and which
    23  # will also appear if something is wrong with workspace_status.sh script.
    24  if [[ $version =~ "VERSION" ]]; then
    25    echo "FAIL: Got bad version $version"
    26    exit 1
    27  fi
    28  
    29  # Version should contain at least one number.
    30  if [[ ! $version =~ [0-9] ]]; then
    31    echo "FAIL: Got bad version $version"
    32    exit 1
    33  fi
    34  
    35  echo "PASS: Got OK version $version"
    36  exit 0